Bug 490058 - REF: Slim theme should match fedora release
REF: Slim theme should match fedora release
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: slim (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 21:21 EDT by Kevin Fenzi
Modified: 2012-01-15 07:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-15 07:24:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
flyinghigh-slim-theme.jpg (33.64 KB, image/jpeg)
2009-03-18 03:27 EDT, Anders F Björklund
no flags Details
leonidas-slim-theme.jpg (46.45 KB, image/jpeg)
2009-03-18 03:28 EDT, Anders F Björklund
no flags Details

  None (edit)
Description Kevin Fenzi 2009-03-12 21:21:49 EDT
Now that slim is consokekit aware I suspect more people may be using it. 

it would be nice if it could use the theme based on the fedora release as kdm and gdm do.
Ie, a leonidas background for f11. 

Also a mention of it being a Fedora machine might be nice in the event the machine was in a lab or the like. (Welcome to Fedora host X:)
Comment 1 Anders F Björklund 2009-03-16 04:29:48 EDT
This sounds like a project for the Art Team, i.e. providing a usable background...

Once the image is available, it can be made into a "Leonidas" theme for SLiM:

http://slim.berlios.de/themes_howto.php


The old "default" background was a) huge b) deprecated, so it was recently removed.

Currently it is using a generic blue background from the desktop-backgrounds-basic package.

But "leonidas-backgrounds" is too big.
Comment 2 Anders F Björklund 2009-03-16 05:30:34 EDT
# background.png -> /usr/share/backgrounds/leonidas/normal/1400x1050/leonidas-1-noon_right.png

# Welcome message
welcome_font           Verdana:size=14:bold:dpi=75
welcome_color          #f9f9f9
welcome_x              280
welcome_y              13
welcome_shadow_color #702342
welcome_shadow_xoffset 1
welcome_shadow_yoffset 1

welcome_msg             Welcome to Fedora %host
Comment 3 Kevin Fenzi 2009-03-17 21:31:59 EDT
Does slim scale the background? Ie, we need something that works for all monitor sizes as we don't know what monitor size the user will have. 

How will the above work on my 1920x1200 monitor? or someone elses 800x600 netbook?
Comment 4 Anders F Björklund 2009-03-18 03:25:06 EDT
It does scales the background, but it still looks awful...
(and has done for the last couple of releases, like 8-10)
Last time it looked OK (slightly biased) was for Fedora 7,
and even then it looked nothing like the gdm/kdm theme did.

So it needs a *real* theme, with matching fonts and images.
(attaching some screenshots, downsampled to save space here)
Comment 5 Anders F Björklund 2009-03-18 03:27:46 EDT
Created attachment 335662 [details]
flyinghigh-slim-theme.jpg
Comment 6 Anders F Björklund 2009-03-18 03:28:37 EDT
Created attachment 335664 [details]
leonidas-slim-theme.jpg
Comment 7 Kevin Fenzi 2009-03-18 12:33:28 EDT
Those look pretty good to me. 

How will we handle the scaling though? Or you have made those images so they scale better/work at differing resolutions?
Comment 8 Anders F Björklund 2009-03-18 12:48:00 EDT
I haven't made any images, I just used the "default.jpg" background.
On top of that, there is a "panel.png" with transparency (the Login:).

/usr/share/backgrounds/images/default.jpg

After Fedora 7, the default.jpg was replaced with a random symlink
to one of the timeshifting PNG backgrounds (usually the "morning")
If you look at the desktop-backgrounds-compat package, you'll see it.
For Fedora 11, slim changed to use desktop-backgrounds-basic instead.

/usr/share/backgrounds/tiles/default_blue.jpg
Comment 9 Kevin Fenzi 2009-03-24 14:53:13 EDT
Right. 

So, where are we here?
You don't want to make this change in rawhide unless there is a slim specific theme made?
Or are you willing to have it use the default image and the setup from comment #6?
Comment 10 Anders F Björklund 2009-03-24 15:35:23 EDT
The background *was* changed already in rawhide, because
desktop-backgrounds-compat (and all of its dependencies)
was too big for the sugar desktop who requested a change.
And since it looked bad anyway, it was easy to comply...

To change back, there should at least be a reasonable
looking theme proposal to use: "leonidas-slim-theme" RPM.
Someone suggested using a "fedora" theme configuration,
if available, but there is no such thing - only releases.
Comment 11 Anders F Björklund 2009-03-24 16:24:34 EDT
Packages:
2.6M    desktop-backgrounds-basic-9.0.0-7.noarch.rpm
 12K    desktop-backgrounds-compat-9.0.0-7.noarch.rpm
 13M    solar-backgrounds-0.92.0-2.fc11.noarch.rpm
 16M    leonidas-backgrounds-10.92.1-2.fc11.noarch.rpm

Images:
132K    ./usr/share/backgrounds/tiles/default_blue.jpg
652K    ./usr/share/backgrounds/images/default.jpg # (FlyingHigh)
1.4M    ./usr/share/backgrounds/solar/standard/1600x1200/solar-0-morn.png
1.6M    ./usr/share/backgrounds/leonidas/normal/1400x1050/leonidas-1-noon_right.png

So, using the (now deprecated!) "default" background adds
an extra 10-13M of packages with 1.0-1.5M for the image...

That is why I think the solar / leonidas slim themes should
go in separate packages, preferrably in the JPG format ?
Comment 12 Kevin Fenzi 2009-04-02 02:41:38 EDT
Yeah, I see your point... 

I don't suppose the art folks would be interested in adding a subpackage to the leonidas theme that had a smaller slim theme? I can try and inquire.
Comment 13 Anders F Björklund 2009-04-02 03:05:53 EDT
That would probably be the best, and have them work with the sugar folks.
Comment 14 Kevin Fenzi 2009-06-06 01:13:18 EDT
I'm afraid I got busy and this dropped off my radar. ;( 

I'll try and contact the art folks and see what can be done.
Comment 15 Anders F Björklund 2009-06-08 03:58:12 EDT
You can try again for Fedora 12, and the new slim maintainer...
Comment 16 Bug Zapper 2009-06-09 08:12:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Máirín Duffy 2009-08-10 15:45:08 EDT
hi, if you'd like the fedora design team to work on this for Fedora 12 I suggest you open up a ticket on our trac instance:

https://fedorahosted.org/design-team/newticket

and also drop a note to design-team@lists.fedoraproject.org pointing to the ticket URL and giving some background on the issue.
Comment 18 Kevin Fenzi 2009-08-10 16:39:56 EDT
Filed: 
https://fedorahosted.org/design-team/ticket/64
Comment 19 Anders F Björklund 2009-10-09 08:31:02 EDT
Smaller package for 12, but the image is still too big.

4.3M    constantine-backgrounds-single-12.0.0-1.fc12.noarch.rpm
1.7M    ./usr/share/backgrounds/constantine/default/standard/constantine.png
Comment 20 Kevin Fenzi 2009-10-09 12:28:25 EDT
Too big in disk space? or resolution? Or just looks bad?
Comment 21 Anders F Björklund 2009-10-09 15:51:21 EDT
(In reply to comment #20)
> Too big in disk space? or resolution?

Those two... It's a 2048 x 1536 RGBA PNG, no "default.jpg".

> Or just looks bad?  

https://fedoraproject.org/wiki/F12_Artwork/Beta looks OK...
Comment 22 Anders F Björklund 2009-10-28 04:20:37 EDT
I don't think it's getting through. Maybe in Fedora 13.

4.1M    constantine-backgrounds-single-12.1.0-1.fc12.noarch.rpm
1.8M    ./usr/share/backgrounds/constantine/default/standard/constantine.png

132K    default_blue.jpg
 44K    F12-80.jpg

Leaving slim themes up to the new maintainer (arbiter).
Comment 23 Frank Murphy 2010-02-27 03:56:03 EST
Came across this:

For XFCE have yum erased gdm.
yum installed slim with no problems to show.


For both XFCE, LXDE:
Came across this to change Slim Background.

http://wiki.archlinux.org/index.php/SLiM#Match_SLiM_and_Desktop_Wallpaper

Maybe build into install?
ln -s /usr/share/backgrounds/default.png /usr/share/slim/themes/default/background.jpg
Comment 24 Bug Zapper 2010-04-27 09:10:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Christoph Wickert 2010-04-27 09:27:13 EDT
Changing version to 'rawhide' and add 'FutureFeature' keyword to prevent that bugzappers accidentally close this bug.
Comment 26 Anders F Björklund 2010-04-27 09:31:50 EDT
I was going to close it with a WONTFIX, but the bug can remain with the art department (https://fedorahosted.org/design-team/ticket/64) and slim maintainer.
Comment 27 Fedora Admin XMLRPC Client 2010-08-26 09:27:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 28 Fedora Admin XMLRPC Client 2011-04-26 09:07:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 29 Fedora Admin XMLRPC Client 2011-07-21 08:46:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 30 Fedora Admin XMLRPC Client 2012-01-14 09:46:52 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 31 Pavel Alexeev 2012-01-15 07:24:36 EST
If it wasn't fixed few releases it should be closed.
Please reopen if someone willing provide such slim theme.

Note You need to log in before you can comment on or make changes to this bug.